#ifndef _CPLAYER_HPP_
#define _CPLAYER_HPP_

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

/*** Custom Header Files ***/

using UtilityEngine::cString;

namespace Equipment {
	class cPlayer
	{
	public:
		cPlayer( const cString name );
		~cPlayer();

		///Functions
		void Score( const unsigned long int score = 1 );

		///Sets
		void setName( const cString name );

		///Gets
		const unsigned long int getScore() const;
		const cString getName() const;

	private:		
	private:
		unsigned long int m_score;// = 0

		cString m_name;
	};/// END CLASS DEFINITION cPlayer
}/// END NAMESPACE DEFINITION Equipment
#endif/// END IFNDEF _CPLAYER_HPP_